AplasAplas API Reference

Index

Operations relating to indexes.

List all indexes

GET
/index

Authorization

ApiKeyAuth
api_key<token>

In: header

Query Parameters

fields?string

Return additional fields (name, description, updatedAt, updatedBy, fieldDefinitions), or use fields=* to select all available fields.

Response Body

*/*

*/*

curl -X GET "https://api.aplas.com/api/v2/index?fields=description"
[
  {
    "id": "id",
    "name": "Index A",
    "description": "More information",
    "fieldDefinitions": [
      {
        "scope": "Application",
        "taggedBy": [
          "finance"
        ],
        "name": "Health",
        "id": "health",
        "description": "The ratings for health",
        "type": "Rating",
        "subType": "Color",
        "required": false,
        "isArray": true,
        "isArrayOrdered": true,
        "isArrayLabeled": true,
        "options": [
          "unhealthy:#EE724E",
          "normal:#EEC24E",
          "healthy:#4EEE94"
        ]
      },
      {
        "scope": "Integration",
        "name": "Target Location",
        "id": "target-location",
        "description": "location where payload is sent",
        "type": "String",
        "required": false,
        "isArray": false
      }
    ]
  }
]
{
  "code": 500,
  "message": "Internal server error"
}

Create an index

POST
/index

Authorization

ApiKeyAuth
api_key<token>

In: header

Request Body

application/json

The new index to create

id*string
name*string
description?string
fieldDefinitions?array<>

Response Body

*/*

curl -X POST "https://api.aplas.com/api/v2/index" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Index A",    "description": "More information",    "fieldDefinitions": [      {        "scope": "Application",        "taggedBy": [          "finance"        ],        "name": "Health",        "id": "health",        "description": "The ratings for health",        "type": "Rating",        "subType": "Color",        "required": false,        "isArray": true,        "isArrayOrdered": true,        "isArrayLabeled": true,        "options": [          "unhealthy:#EE724E",          "normal:#EEC24E",          "healthy:#4EEE94"        ]      },      {        "scope": "Integration",        "name": "Target Location",        "id": "target-location",        "description": "location where payload is sent",        "type": "String",        "required": false,        "isArray": false      }    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}

Retrieve an index

GET
/index/{indexId}

Authorization

ApiKeyAuth
api_key<token>

In: header

Path Parameters

indexId*string

The id of the index

Query Parameters

fields?string

Return additional fields (name, description, updatedAt, updatedBy, fieldDefinitions), or use fields=* to select all available fields.

Response Body

*/*

*/*

curl -X GET "https://api.aplas.com/api/v2/index/id?fields=description"
{
  "id": "id",
  "name": "Index A",
  "description": "More information",
  "fieldDefinitions": [
    {
      "scope": "Application",
      "taggedBy": [
        "finance"
      ],
      "name": "Health",
      "id": "health",
      "description": "The ratings for health",
      "type": "Rating",
      "subType": "Color",
      "required": false,
      "isArray": true,
      "isArrayOrdered": true,
      "isArrayLabeled": true,
      "options": [
        "unhealthy:#EE724E",
        "normal:#EEC24E",
        "healthy:#4EEE94"
      ]
    },
    {
      "scope": "Integration",
      "name": "Target Location",
      "id": "target-location",
      "description": "location where payload is sent",
      "type": "String",
      "required": false,
      "isArray": false
    }
  ]
}
{
  "code": 500,
  "message": "Internal server error"
}

Update an index partially

PATCH
/index/{indexId}

Authorization

ApiKeyAuth
api_key<token>

In: header

Path Parameters

indexId*string

The id of the index

Request Body

application/json

The index to update (partial properties of the index allowed)

id*string
name*string
description?string
fieldDefinitions?array<>

Response Body

*/*

curl -X PATCH "https://api.aplas.com/api/v2/index/id" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Index A",    "description": "More information",    "fieldDefinitions": [      {        "scope": "Application",        "taggedBy": [          "finance"        ],        "name": "Health",        "id": "health",        "description": "The ratings for health",        "type": "Rating",        "subType": "Color",        "required": false,        "isArray": true,        "isArrayOrdered": true,        "isArrayLabeled": true,        "options": [          "unhealthy:#EE724E",          "normal:#EEC24E",          "healthy:#4EEE94"        ]      },      {        "scope": "Integration",        "name": "Target Location",        "id": "target-location",        "description": "location where payload is sent",        "type": "String",        "required": false,        "isArray": false      }    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}

Delete an index

DELETE
/index/{indexId}

Authorization

ApiKeyAuth
api_key<token>

In: header

Path Parameters

indexId*string

The id of the index to delete

Response Body

*/*

curl -X DELETE "https://api.aplas.com/api/v2/index/id"
Empty
{
  "code": 500,
  "message": "Internal server error"
}

Replace an index

PUT
/index/{indexId}

Authorization

ApiKeyAuth
api_key<token>

In: header

Path Parameters

indexId*string

The id of the index to replace

Request Body

application/json

The replacement index

id*string
name*string
description?string
fieldDefinitions?array<>

Response Body

*/*

curl -X PUT "https://api.aplas.com/api/v2/index/id" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Index A",    "description": "More information",    "fieldDefinitions": [      {        "scope": "Application",        "taggedBy": [          "finance"        ],        "name": "Health",        "id": "health",        "description": "The ratings for health",        "type": "Rating",        "subType": "Color",        "required": false,        "isArray": true,        "isArrayOrdered": true,        "isArrayLabeled": true,        "options": [          "unhealthy:#EE724E",          "normal:#EEC24E",          "healthy:#4EEE94"        ]      },      {        "scope": "Integration",        "name": "Target Location",        "id": "target-location",        "description": "location where payload is sent",        "type": "String",        "required": false,        "isArray": false      }    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}

Duplicate an index

PUT
/index/{indexId}/duplicate

Authorization

ApiKeyAuth
api_key<token>

In: header

Path Parameters

indexId*string

The id of the index to replace

Request Body

application/json

Details of the target index to be created

targetId*string
targetName*string

Response Body

*/*

curl -X PUT "https://api.aplas.com/api/v2/index/id/duplicate" \  -H "Content-Type: application/json" \  -d '{    "targetId": "string",    "targetName": "string"  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}